> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List custom integrations

> List all custom integrations



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /connection/customIntegrations/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /connection/customIntegrations/list:
    get:
      tags:
        - Connection - Custom Integrations
      summary: List custom integrations
      description: List all custom integrations
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  customIntegrations:
                    type: array
                    items:
                      allOf:
                        - type: object
                          properties:
                            uuid:
                              type: string
                            workspaceUuid:
                              type: string
                            slug:
                              type: string
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                            deletedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - uuid
                            - workspaceUuid
                            - slug
                            - createdAt
                            - updatedAt
                            - deletedAt
                          additionalProperties: false
                        - oneOf:
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: external
                                baseUrl:
                                  type: string
                              required:
                                - kind
                                - baseUrl
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: worker
                                workerUuid:
                                  type: string
                              required:
                                - kind
                                - workerUuid
                              additionalProperties: false
                          type: object
                    title: Custom integrations
                    description: List of custom integrations.
                required:
                  - customIntegrations
                additionalProperties: false
                title: Response body
                description: Response body schema.
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````